Modify

Opened 11 years ago

Closed 6 years ago

#28 closed enhancement (fixed)

Torque 2.5.x compatibility (missing attributes)

Reported by: anonymous Owned by: bas
Priority: major Milestone:
Component: pbs Version: 4.3.0
Keywords: Cc:

Description

Hi,

I'd like to report that pbs_python v4.3.0 is not fully compatibile with Torque 2.5.x. For what I can see some attributes are not accounted for so an update is in order. I don't know what the situation is with Torque 3.0.x, as we don't use it for now.

For sure the missing attributes are (these are the ones i stumbled upon):

  • ATTR_init_work_dir
  • ATTR_P

Of course the complete reference you may find running diff on pbs_ifl.h from Torque sources.

Anyway, thanks for making Torque play nice with python!

Łukasz Czuja

Attachments (0)

Change History (5)

comment:1 Changed 11 years ago by bas

  • Owner changed from somebody to bas
  • Status changed from new to assigned

Thanks for reporting. We still use 2.4.X version. When we install 2.5.X or the 3.X.X version. I will update the source.

comment:2 Changed 8 years ago by anonymous

Has the ATTR_P (for setting the user when executing as root) been added to the source? I need this feature for a docker container which submits jobs from inside the container as root. Thanks!

Pablo

comment:3 Changed 8 years ago by bas

Dear Pablo,

I will look if this can be easily added

regards

comment:4 Changed 8 years ago by anonymous

Thanks! P

comment:5 Changed 6 years ago by bas

  • Resolution set to fixed
  • Status changed from assigned to closed

There is no a version for torque 5.X which supports this

Add Comment

Modify Ticket

Change Properties
Action
as closed The owner will remain bas.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.